summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authordrebs <drebs@riseup.net>2017-10-09 09:03:08 -0300
committerdrebs <drebs@riseup.net>2017-10-09 13:08:19 -0300
commitf9d99d23fe3a91adf63051290fc95c0290a33ed9 (patch)
tree4ef6df98d6d1436b79a17b7b5f0ce9db3971a034 /scripts
parent9b62e2ffaba021dd7f4741178f3b6ce61ca714ea (diff)
[pkg] add timestamps to packaging jobs
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/packaging/run-packaging-ci-job.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/scripts/packaging/run-packaging-ci-job.sh b/scripts/packaging/run-packaging-ci-job.sh
new file mode 100755
index 00000000..3547e1e1
--- /dev/null
+++ b/scripts/packaging/run-packaging-ci-job.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -eu
+
+echo "Starting packaging script for architecture ${ARCH}, distribution ${DIST}..."
+
+# checkout the relevant branch
+if [ -z "$(git remote | grep upstream)" ]; then
+ git remote add upstream https://0xacab.org/leap/soledad;
+fi
+
+git fetch --tags upstream
+pwd; git describe
+build-build-package
+
+# test the package with lintian
+build-test-lintian
+
+# maybe upload the package
+if [ -n "${SSH_PRIVATE_KEY}" ]; then
+ upload-package;
+else
+ echo "Skipping package upload because SSH_PRIVATE_KEY is not set.";
+fi
+
+echo "Packaging script finished."